Facebook
LinkedIn
YouTube
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
Getting Started
Authentication
Authentication
  • V2 Authentication (Deprecated)
  • V3 Authentication
V2 API Documentation (Deprecated)
V3 API Documentation
  1. Campaign
  • User
    • List Reports
      GET
  • Scorecard
    • List Scorecards
      GET
    • List Scored Calls Report
      GET
    • Add or Update Call Title
      POST
    • Create Scorecard
      POST
    • Duplicate Scorecard
      POST
    • Archive Scorecard
      GET
  • Call
    • Get Call Record by ID
      GET
    • List Calls
      GET
    • List Call Details
      GET
    • List Archived Call Details
      GET
    • List Call Details
      GET
    • List Calls With Transcription
      GET
    • List Calls With Transcription Details
      GET
    • List Calls With Tags
      GET
    • Add Tags To Call
      POST
    • List Calls With Custom Sources
      GET
    • List Calls With Indicator Scores
      GET
    • List Calls With DNI
      GET
    • List Call Metrics by Group
      GET
    • List Call Metrics Details by Group
      GET
    • Upload Call Audio
      POST
    • Get Call Record by ID
      GET
    • Add Comment To Call
      POST
    • Move Call To Group
      POST
  • Blacklist
    • List Blacklisted Numbers
    • Add Number To Blacklist
    • Delete Blacklisted Numbers
  • Call Action
    • Create Call Actions
    • Update Call Action
  • Email
    • Send Call Data Email
  • SMS
    • Send SMS
    • List SMS Conversations
  • Webhook
    • List Webhooks
    • Create Webhook
    • Update Webhook
  • Campaign
    • Get Campaign by ID
      GET
    • Create Campaign
      POST
    • Delete Campaign
      DELETE
    • List Campaigns
      GET
    • List Campaigns With Users
      GET
    • Add Users To Campaign
      POST
    • List Campaigns With Call Flows
      GET
  • Call Flow
    • Get Call Flow by ID
    • Create Call Flows
    • Delete Call Flow
    • List Call Flows by Campaign
    • List Call Flows
    • List Deleted Call Flows
    • List Call Flows With Routes
    • List Call Flows With Location
    • List Call Flows With Numbers
    • List Call Flows With Recording
    • List Call Flows With Actions
    • List Call Flows With DNI
    • Create Call Flow DNI Settings
    • List DNI Classes With Call Flow
    • List Call Flow Custom Sources
    • Create Call Flow Custom Source
    • Delete Call Flow Custom Source
    • Create Call Flows With Multilevel IVR
    • Create Call Flow Outbound
    • List Call Flows With Count
    • Remove Number From Route Pool
  • Group
    • List Groups
    • Create Group
    • List Groups With Users
    • List Groups With Users
    • Create User in Group
    • Update Group User
    • Get DNI Snippet
    • List Active Call Flows
    • List Group Call Logs
  • Number
    • Search Phone Numbers
    • Search Reserved Numbers
    • Reserve Phone Number
  • Miscellaneous
    • List Geo Locations
    • List Locations
    • Add Locations
    • Add Locations
    • List Audio Files
    • Upload Whisper Audio
    • Upload Prompt Audio
    • List Channels
    • List Rate Centers
    • List Scheduled Reports
    • Get Subscription
  • Custom Source
    • Get Custom Sources by Group
    • Create Custom Source
    • Delete Custom Sources
  • Tag
    • List Tags
    • Delete Tags
  • User Permissions
    • Get User Permissions
    • Update User Permissions
    • List Allowed Groups
  • Insights
    • Create Insight
  • SMS Broadcast
    • List Broadcasts
    • Create SMS Broadcast
    • Update Broadcast
    • Delete Broadcast
    • Get Broadcast Messages
    • List Contact Lists
    • Create Contact List
    • Get Contact List
    • Update Contact List
    • Delete Contact List
    • List Contacts in Contact List
    • Add Contacts To Contact List
    • Update Contact in Contact List
    • Remove Contact From List
    • List Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
  1. Campaign

Get Campaign by ID

GET
https://apicfa.convirza.com/v2/campaign
Campaign
Last modified:2026-04-03 12:54:09
Retrieves detailed configuration for a specific campaign by ID. Returns campaign settings including tracking numbers, routing rules, business hours, geographic targeting, and performance analytics configuration.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Campaign configuration with settings, tracking numbers, and routing rules
Headers

Body

🟠400
🟠401
🟠403
🟠404
🔴500
⚪default
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apicfa.convirza.com/v2/campaign?id&display_referral' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "campaign_id": 0,
    "campaign_name": "string",
    "campaign_ext_id": "string",
    "campaign_status": "active",
    "campaign_created": "2019-08-24T14:15:22.123Z",
    "campaign_modified": "2019-08-24T14:15:22.123Z",
    "campaign_start_date": "2019-08-24T14:15:22.123Z",
    "campaign_end_date": "2019-08-24T14:15:22.123Z",
    "campaign_owner_user_id": 1,
    "group_id": 1,
    "referral_service": {
        "referral_enabled": true,
        "ringto_phone_number": 0
    },
    "owner_fname": "string",
    "owner_lname": "string",
    "campaign_routes": [
        {
            "call_flow_id": 0,
            "route_type": "ringto",
            "call_flow_name": "string",
            "call_flow_created": "2019-08-24T14:15:22.123Z",
            "call_flow_modified": "2019-08-24T14:15:22.123Z",
            "call_flow_status": "active",
            "repeat_interval": 0,
            "call_value": "string"
        }
    ],
    "campaign_users": [
        {
            "ct_user_id": 0,
            "user_ext_id": "string",
            "first_name": "string",
            "last_name": "string",
            "user_title": "string",
            "user_status": "active",
            "role_id": 1,
            "group_id": 1,
            "user_email": "string",
            "password": "pa$$word",
            "aliases": "string",
            "timezone": "America/Halifax"
        }
    ]
}
Modified at 2026-04-03 12:54:09
Previous
Update Webhook
Next
Create Campaign
Built with